System.ServiceModel 4.0.0.0 System.Enum System.Flags

Use the enumeration with the property to control the generated contract code.

Represents the contract generation options available using the .

- Field
  4.0.0.0
  System.ServiceModel.Description.ServiceContractGenerationOptions

  Generates asynchronous methods for operations in addition to synchronous versions.

- Field
  4.0.0.0
  System.ServiceModel.Description.ServiceContractGenerationOptions

  Generates an interface that derives from the contract interface and .

- Field
  4.0.0.0
  System.ServiceModel.Description.ServiceContractGenerationOptions

  Generates a indigo1 client class that extends .

- Field
  4.0.0.0
  System.ServiceModel.Description.ServiceContractGenerationOptions

  Generates event-based asynchronous methods for operations in addition to synchronous versions.

- Field
  4.0.0.0
  System.ServiceModel.Description.ServiceContractGenerationOptions

  Causes all types to be marked internal.

- Field
  4.0.0.0
  System.ServiceModel.Description.ServiceContractGenerationOptions

  No options specified.

- Field
  4.0.0.0
  System.ServiceModel.Description.ServiceContractGenerationOptions

  Generate message contracts.